UPDATE table_version SET version_number = '20' WHERE version_id = '1';

CREATE TABLE IF NOT EXISTS table_weekend (
  weekend_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  country_id CHAR(2) NOT NULL,
  days VARCHAR(14),
  PRIMARY KEY(weekend_id),
  INDEX weekend_FKIndex1(country_id),
  FOREIGN KEY(country_id)
    REFERENCES table_country(country_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB DEFAULT CHARSET=latin1;

INSERT INTO table_weekend VALUES
(1 , 'AD', '1,7'),
(2 , 'AE', '6,7'),
(3 , 'AF', '1,7'),
(4 , 'AG', '1,7'),
(5 , 'AI', '1,7'),
(6 , 'AL', '1,7'),
(7 , 'AM', '1,7'),
(8 , 'AN', '1,7'),
(9 , 'AO', '1,7'),
(10, 'AQ', '1,7'),
(11, 'AR', '1,7'),
(12, 'AS', '1,7'),
(13, 'AT', '1,7'),
(14, 'AU', '1,7'),
(15, 'AW', '1,7'),
(16, 'AZ', '1,7'),
(17, 'BA', '1,7'),
(18, 'BB', '1,7'),
(19, 'BD', '1,7'),
(20, 'BE', '1,7'),
(21, 'BF', '1,7'),
(22, 'BG', '1,7'),
(23, 'BH', '6,7'),
(24, 'BI', '1,7'),
(25, 'BJ', '1,7'),
(26, 'BM', '1,7'),
(27, 'BN', '1,7'),
(28, 'BO', '1,7'),
(29, 'BR', '1,7'),
(30, 'BS', '1,7'),
(31, 'BT', '1,7'),
(32, 'BV', '1,7'),
(33, 'BW', '1,7'),
(34, 'BY', '1,7'),
(35, 'BZ', '1,7'),
(36, 'CA', '1,7'),
(37, 'CC', '1,7'),
(38, 'CD', '1,7'),
(39, 'CF', '1,7'),
(40, 'CG', '1,7'),
(41, 'CH', '1,7'),
(42, 'CI', '1,7'),
(43, 'CK', '1,7'),
(44, 'CL', '1,7'),
(45, 'CM', '1,7'),
(46, 'CN', '1,7'),
(47, 'CO', '1,7'),
(48, 'CR', '1,7'),
(49, 'CS', '1,7'),
(50, 'CU', '1,7'),
(51, 'CV', '1,7'),
(52, 'CX', '1,7'),
(53, 'CY', '1,7'),
(54, 'CZ', '1,7'),
(55, 'DE', '1,7'),
(56, 'DJ', '1,7'),
(57, 'DK', '1,7'),
(58, 'DM', '1,7'),
(59, 'DO', '1,7'),
(60, 'DZ', '6,7'),
(61, 'EC', '1,7'),
(62, 'EE', '1,7'),
(63, 'EG', '6,7'),
(64, 'EH', '1,7'),
(65, 'ER', '1,7'),
(66, 'ES', '1,7'),
(67, 'ET', '1,7'),
(68, 'FI', '1,7'),
(69, 'FJ', '1,7'),
(70, 'FK', '1,7'),
(71, 'FM', '1,7'),
(72, 'FO', '1,7'),
(73, 'FR', '1,7'),
(74, 'GA', '1,7'),
(75, 'GB', '1,7'),
(76, 'GD', '1,7'),
(77, 'GE', '1,7'),
(78, 'GF', '1,7'),
(79, 'GH', '1,7'),
(80, 'GI', '1,7'),
(81, 'GL', '1,7'),
(82, 'GM', '1,7'),
(83, 'GN', '1,7'),
(84, 'GP', '1,7'),
(85, 'GQ', '1,7'),
(86, 'GR', '1,7'),
(87, 'GS', '1,7'),
(88, 'GT', '1,7'),
(89, 'GU', '1,7'),
(90, 'GW', '1,7'),
(91, 'GY', '1,7'),
(92, 'HK', '1,7'),
(93, 'HM', '1,7'),
(94, 'HN', '1,7'),
(95, 'HR', '1,7'),
(96, 'HT', '1,7'),
(97, 'HU', '1,7'),
(98, 'ID', '1,7'),
(99, 'IE', '1,7'),
(100, 'IL', '6,7'),
(101, 'IN', '1,7'),
(102, 'IO', '1,7'),
(103, 'IQ', '6,7'),
(104, 'IR', '6,7'),
(105, 'IS', '1,7'),
(106, 'IT', '1,7'),
(107, 'JM', '1,7'),
(108, 'JO', '6,7'),
(109, 'JP', '1,7'),
(110, 'KE', '1,7'),
(111, 'KG', '1,7'),
(112, 'KH', '1,7'),
(113, 'KI', '1,7'),
(114, 'KM', '6,7'),
(115, 'KN', '1,7'),
(116, 'KP', '1,7'),
(117, 'KR', '1,7'),
(118, 'KW', '6,7'),
(119, 'KY', '1,7'),
(120, 'KZ', '1,7'),
(121, 'LA', '1,7'),
(122, 'LB', '1,7'),
(123, 'LC', '1,7'),
(124, 'LI', '1,7'),
(125, 'LK', '1,7'),
(126, 'LR', '1,7'),
(127, 'LS', '1,7'),
(128, 'LT', '1,7'),
(129, 'LU', '1,7'),
(130, 'LV', '1,7'),
(131, 'LY', '6,7'),
(132, 'MA', '1,7'),
(133, 'MC', '1,7'),
(134, 'MD', '1,7'),
(135, 'MG', '1,7'),
(136, 'MH', '1,7'),
(137, 'MK', '1,7'),
(138, 'ML', '1,7'),
(139, 'MM', '1,7'),
(140, 'MN', '1,7'),
(141, 'MO', '1,7'),
(142, 'MP', '1,7'),
(143, 'MQ', '1,7'),
(144, 'MR', '1,7'),
(145, 'MS', '1,7'),
(146, 'MT', '1,7'),
(147, 'MU', '6,7'),
(148, 'MV', '1,7'),
(149, 'MW', '1,7'),
(150, 'MX', '1,7'),
(151, 'MY', '1,7'),
(152, 'MZ', '1,7'),
(153, 'NA', '1,7'),
(154, 'NC', '1,7'),
(155, 'NE', '1,7'),
(156, 'NF', '1,7'),
(157, 'NG', '1,7'),
(158, 'NI', '1,7'),
(159, 'NL', '1,7'),
(160, 'NO', '1,7'),
(161, 'NP', '1,7'),
(162, 'NR', '1,7'),
(163, 'NU', '1,7'),
(164, 'NZ', '1,7'),
(165, 'OM', '1,7'),
(166, 'PA', '1,7'),
(167, 'PE', '1,7'),
(168, 'PF', '1,7'),
(169, 'PG', '1,7'),
(170, 'PH', '1,7'),
(171, 'PK', '1,7'),
(172, 'PL', '1,7'),
(173, 'PM', '1,7'),
(174, 'PN', '1,7'),
(175, 'PR', '1,7'),
(176, 'PS', '1,7'),
(177, 'PT', '1,7'),
(178, 'PW', '1,7'),
(179, 'PY', '1,7'),
(180, 'QA', '6,7'),
(181, 'RE', '1,7'),
(182, 'RO', '1,7'),
(183, 'RU', '1,7'),
(184, 'RW', '1,7'),
(185, 'SA', '5,6'),
(186, 'SB', '1,7'),
(187, 'SC', '1,7'),
(188, 'SD', '6,7'),
(189, 'SG', '1,7'),
(190, 'SH', '1,7'),
(191, 'SI', '1,7'),
(192, 'SJ', '1,7'),
(193, 'SK', '1,7'),
(194, 'SL', '1,7'),
(195, 'SM', '1,7'),
(196, 'SN', '1,7'),
(197, 'SO', '1,7'),
(198, 'SR', '1,7'),
(199, 'ST', '1,7'),
(200, 'SV', '1,7'),
(201, 'SY', '6,7'),
(202, 'SZ', '1,7'),
(203, 'TC', '1,7'),
(204, 'TD', '1,7'),
(205, 'TF', '1,7'),
(206, 'TG', '1,7'),
(207, 'TH', '1,7'),
(208, 'TJ', '1,7'),
(209, 'TK', '1,7'),
(210, 'TL', '1,7'),
(211, 'TM', '1,7'),
(212, 'TN', '1,7'),
(213, 'TO', '1,7'),
(214, 'TR', '1,7'),
(215, 'TT', '1,7'),
(216, 'TV', '1,7'),
(217, 'TW', '1,7'),
(218, 'TZ', '1,7'),
(219, 'UA', '1,7'),
(220, 'UG', '1,7'),
(221, 'UM', '1,7'),
(222, 'US', '1,7'),
(223, 'UY', '1,7'),
(224, 'UZ', '1,7'),
(225, 'VA', '1,7'),
(226, 'VC', '1,7'),
(227, 'VE', '1,7'),
(228, 'VG', '1,7'),
(229, 'VI', '1,7'),
(230, 'VN', '1,7'),
(231, 'VU', '1,7'),
(232, 'WF', '1,7'),
(233, 'WS', '1,7'),
(234, 'YE', '1,7'),
(235, 'YT', '1,7'),
(236, 'ZA', '1,7'),
(237, 'ZM', '1,7'),
(238, 'ZW', '1,7')
ON DUPLICATE KEY UPDATE days=VALUES(days);

CREATE TABLE IF NOT EXISTS table_holiday (
  holiday_id INTEGER UNSIGNED NOT NULL AUTO_INCREMENT,
  country_id CHAR(2) NOT NULL,
  start_date DATETIME NULL,
  stop_date DATETIME NULL,
  comment TEXT NULL,
  PRIMARY KEY(holiday_id),
  INDEX holiday_FKIndex1(country_id),
  FOREIGN KEY(country_id)
    REFERENCES table_country(country_id)
      ON DELETE CASCADE
      ON UPDATE NO ACTION
)
ENGINE=InnoDB DEFAULT CHARSET=latin1;
